{ pkgs, ... }:
{
  wayland.windowManager.sway.config = {
    bars = [{ command = "waybar"; }];

    startup = [
      # Scratchpads
      { command = "foot -a btop -T Gotop btop"; }
      { command = "foot -a music -T Music ncmpcpp"; }
      { command = "foot -a sound -T Sound pulsemixer"; }

      # Daemons and tray
      { command = "wpaperd"; }
      { command = "wl-paste -t text --watch clipman store -P"; }
      { command = "wl-copy"; }
      { command = "mako"; }
      { command = "sunshine"; }
      { command = "rot8"; }
      { command = "wlsunset -s 22:30 -S 06:30"; }
      { command = "${pkgs.mate.mate-polkit}/libexec/polkit-mate-authentication-agent-1"; }

      # Foreground
      { command = "librewolf -P Misc --name=MiscBrowser"; }
      { command = "thunderbird"; }
      { command = "vesktop"; }
      { command = "telegram-desktop"; }
    ];
  };
}
